// Задача "Авария на МКС"
// Девятая индивидуальная Интернет-олимпиада сезона 2010-2011
// Авторы задачи: Антон Ахи, Владимир Ульянцев
// Автор решения: Владимир Ульянцев, ulyantsev@rain.ifmo.ru

{$apptype console}

type
    int = longint;

const
    MAXM = 1000;
var
    m, k, i : int;
    s : string;

begin
    reset(input, 'rounding.in');
    readln(m);
    readln(s);
    assert(pos('.', s) > 0);
    k := length(s) - pos('.', s);
    assert((k < m) and (m <= MAXM));

    rewrite(output, 'rounding.out');
    write('1');
    for i := 1 to m - k do begin
        write('0');
    end;
end.
